Hi.

On Sun, Feb 20, 2011 at 11:41 AM, Martijn Pieters <m...@zopatista.com> wrote:
> On Fri, Feb 18, 2011 at 22:19, Martijn Pieters <m...@zopatista.com> wrote:
>> We should at the very least convert PAS to use zope.password instead
>> of AccessControl.AuthEncoding.
>
> I'll just go ahead and expand then IPasswordManager interface to
> provide a match method that returns a boolean if a given hash uses the
> specific encoding scheme. Presumably this'll be zope.password 4.0.0.

Yes, changing the existing interface would require a 4.0. If you'd add
a new interface extending the IPasswordManager one, we could do it in
a 3.x release.

A new zope.password 3.x release could go into both ZTK 1.1 and 1.0, a
backwards incompatible 4.0 would have to wait for ZTK 1.2.

> What does this mean for the versioning of AccessControl however? Will
> that'll be a 2.14 release?

Introducing a new dependency on zope.password will mean a 2.14 release.

> What version of Zope2 can start using the
> new AccessControl package with a "zope.password >= 4.0.0" dependency?

This depends on the changes in AccessControl and how backwards
compatible they are.

If backwards compatibility is preserved, this can go into Zope 2.13
and trunk, since we allow minor feature additions in the stable
series. Zope 2.12 is at a 2.12.15 release now and at the end of its
lifecycle - it'll only see bugfixes.

Hanno
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to